Add member to hiring squad
curl --request POST \
--url https://assess.praxicraft.com/api/v1/public/org/squads/{team_id}/members/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "<string>"
}
'import requests
url = "https://assess.praxicraft.com/api/v1/public/org/squads/{team_id}/members/"
payload = {
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({user_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', role: '<string>'})
};
fetch('https://assess.praxicraft.com/api/v1/public/org/squads/{team_id}/members/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://assess.praxicraft.com/api/v1/public/org/squads/{team_id}/members/';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({user_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', role: '<string>'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://assess.praxicraft.com/api/v1/public/org/squads/{team_id}/members/"
payload := strings.NewReader("{\n \"user_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"role\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"user_id": "<string>",
"email": "[email protected]",
"name": "<string>",
"role": "<string>",
"joined_at": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Public API — Organisation
Add member to hiring squad
Required scope:
organisation:read
POST
/
api
/
v1
/
public
/
org
/
squads
/
{team_id}
/
members
/
Add member to hiring squad
curl --request POST \
--url https://assess.praxicraft.com/api/v1/public/org/squads/{team_id}/members/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "<string>"
}
'import requests
url = "https://assess.praxicraft.com/api/v1/public/org/squads/{team_id}/members/"
payload = {
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({user_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', role: '<string>'})
};
fetch('https://assess.praxicraft.com/api/v1/public/org/squads/{team_id}/members/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://assess.praxicraft.com/api/v1/public/org/squads/{team_id}/members/';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({user_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', role: '<string>'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://assess.praxicraft.com/api/v1/public/org/squads/{team_id}/members/"
payload := strings.NewReader("{\n \"user_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"role\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"user_id": "<string>",
"email": "[email protected]",
"name": "<string>",
"role": "<string>",
"joined_at": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Organisation API key created in Assess → Developer → API Keys. Format: Bearer ct_live_<your-key> (live) or Bearer ct_test_<your-key> (test). Optional per-key CIDR allowlists return 403 IP_NOT_ALLOWED.
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Last modified on August 24, 2026
⌘I